%global commit             faa350329c30aecb20e30e4eca96117279fc6143
%global shortcommit        %(c=%{commit}; echo ${c:0:7})

Summary: Connect containers as point-to-point connection
Name:    koko
Version: 0.61
Release: 1
License: ASL 2.0
Group:   Applications/System
URL:     https://github.com/redhat-nfvpe/koko
Source0: https://github.com/redhat-nfvpe/koko/archive/v%{version}/koko-v%{version}.tar.gz

BuildRequires: golang >= 1.7

%description
koko is a simple tool which connects between Docker containers/Linux netns
processes with veth devices/vxlan of Linux kernel. Using koko, you can simply
make point-to-point connection for containers without Linux bridges.

%prep
%setup -q -n koko-%{version}

%build
mkdir -p ./_build/src/github.com/redhat-nfvpe
ln -s $(pwd) ./_build/src/github.com/redhat-nfvpe/koko

export GOPATH=$(pwd)/_build:%{gopath}
cd ./_build/src/github.com/redhat-nfvpe/koko
go build -o koko .

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -p -m 0755 ./koko %{buildroot}%{_bindir}/koko

%files
%doc README.md
%license LICENSE
%{_bindir}/koko

%changelog
* Sun Aug 30 2017 Tomofumi Hayashi <s1061123@gmail.com> - 0.61-1
- Track to koko v0.61

* Sun Aug 17 2017 Tomofumi Hayashi <s1061123@gmail.com> - 0.51-1
- Track to koko v0.51

* Sun Aug 17 2017 Tomofumi Hayashi <s1061123@gmail.com> - 0.5-1
- Change spec file: change Summary
- Track to koko v0.5

* Sun Jul 9 2017 Tomofumi Hayashi <s1061123@gmail.com> - 0.4-1
- Fix spec file: remove %%defattr and %%post, remove git dependency
- Track to koko v0.4

* Wed Jun 21 2017 Tomofumi Hayashi <s1061123@gmail.com> - 0.3-1
- Initial version for koko ver 0.3
